<?php
/*
    p2 -  板メニュー 携帯用
*/

//080825iphone用ライブラリ追加
require_once './conf/conf.inc.php';
require_once P2_LIB_DIR . '/BrdCtl.php';
require_once P2_IPHONE_LIB_DIR . '/ShowBrdMenuK.php';

$_login->authorize(); // ユーザ認証

//==============================================================
// 変数設定
//==============================================================
$_conf['ktai'] = 1;
$brd_menus = array();
$GLOBALS['menu_show_ita_num'] = 0;

BrdCtl::parseWord(); // set $GLOBALS['word']

//============================================================
// 特殊な前処理
//============================================================
// お気に板の追加・削除
if (isset($_GET['setfavita'])) {
    if (!isset($_REQUEST['csrfid']) || !P2Util::checkCsrfId($_REQUEST['csrfid'])) {
        p2die('不正なクエリーです（CSRF対策）');
    }
    require_once P2_LIB_DIR . '/setFavIta.func.php';
    setFavIta();
}

//================================================================
// メイン
//================================================================
$aShowBrdMenuK = new ShowBrdMenuK;

//============================================================
// ヘッダHTMLを表示
//============================================================

$get['view'] = isset($_GET['view']) ? $_GET['view'] : null;

$ptitle = _getPtitle(geti($_GET['view']), geti($_GET['cateid']));

P2View::printDoctypeTag();
?>
<html>
<head>
<?php P2View::printStyleTagImportIuiCss(); ?>
<script type="text/javascript"> 
<!-- 
window.onload = function() { 
setTimeout(scrollTo, 100, 0, 1); 
} 
</script> 
<?php
P2View::printExtraHeadersHtml();
?>

<title><?php eh($ptitle); ?></title>
</head>
<body class="menu_i">
<?php $index_uri = UriUtil::buildQueryUri('index.php', array(UA::getQueryKey() => UA::getQueryValue())); ?>
<p><a id="backButton" class="tbutton" href="<?php eh($index_uri); ?>">TOP</a></p>

<div class="toolbar"><h1 class="pageTitle"><?php eh($ptitle); ?></h1></div>
<?php
P2Util::printInfoHtml();


// お気に板をHTML表示する
if ($get['view'] == 'favita') {
    $aShowBrdMenuK->printFavItaHtml();

// それ以外ならbrd読み込み
} else {
    $brd_menus = BrdCtl::readBrdMenus();
}

// 板検索フォームをHTML表示
if ($get['view'] != 'favita' && $get['view'] != 'rss' && empty($_GET['cateid'])) {
    echo '<div class="panel itaKensaku"><filedset>';
    echo BrdCtl::getMenuKSearchFormHtml();
    echo '</filedset></div>';
}

//===========================================================
// 検索結果をHTML表示
//===========================================================

$modori_url_ht = '';

// {{{ 検索ワードがあれば

if (strlen($GLOBALS['word'])) {

    ?><div class="panel"><h2>
    <?php
    if ($GLOBALS['ita_mikke']['num']) {
        printf('"%s" %dhit!', hs($GLOBALS['word']), $GLOBALS['ita_mikke']['num']);
    }
    ?></h2></div><?php
    
    // 板名を検索して表示する
    if ($brd_menus) {
        foreach ($brd_menus as $a_brd_menu) {
            $aShowBrdMenuK->printItaSearch($a_brd_menu->categories);
        }
    }

    if (!$GLOBALS['ita_mikke']['num']) {
        P2Util::pushInfoHtml(sprintf('"%s"を含む板は見つかりませんでした。', hs($GLOBALS['word'])));
    }
    $atag = P2View::tagA(
        UriUtil::buildQueryUri($_conf['menu_k_php'],
            array(
                'view' => 'cate',
                'nr'   => '1',
                UA::getQueryKey() => UA::getQueryValue()
            )
        ),
        hs('板ﾘｽﾄ')
    );
    $modori_url_ht = '<div>' . $atag . '</div>';
}

// }}}

// カテゴリリストをHTML表示
if ($get['view'] == 'cate' or isset($_REQUEST['word']) && !strlen($GLOBALS['word'])) {
    //echo "板ﾘｽﾄ{$hr}";
    if ($brd_menus) {
        foreach ($brd_menus as $a_brd_menu) {
            $aShowBrdMenuK->printCate($a_brd_menu->categories);
        }
    }
}

// 指定したカテゴリの板をHTML表示
if (isset($_GET['cateid'])) {
    if ($brd_menus) {
        foreach ($brd_menus as $a_brd_menu) {
            $aShowBrdMenuK->printIta($a_brd_menu->categories);
        }
    }
    $modori_url_ht = P2View::tagA(
        UriUtil::buildQueryUri($_conf['menu_k_php'],
            array('view' => 'cate', 'nr' => '1', UA::getQueryKey() => UA::getQueryValue())
        ),
        '板ﾘｽﾄ'
    ) . '<br>';
}

P2Util::printInfoHtml();

// フッタをHTML表示
echo geti($GLOBALS['list_navi_ht']);
?>

</body></html>
<?php

exit;


//==============================================================================
// 関数（このファイル内でのみ利用）
//==============================================================================
/**
 * @return  string
 */
function _getPtitle($view, $cateid)
{
    $ptitle = '';
    if ($view == 'favita') {
        $ptitle = 'お気に板';
    } elseif ($view == 'cate'){
        $ptitle = '板リスト';
    } elseif (isset($cateid)) {
        $ptitle = '板リスト';
    } else {
        $ptitle = 'rep2iPhone'; // 'ﾕﾋﾞｷﾀｽp2';
        if (UA::isAndroidWebKit()) {
            $ptitle = 'rep2Android(仮)';
        }
    }
    return $ptitle;
}